# Created by pyp2rpm-3.3.1
%global pypi_name defcon

Name:           python-%{pypi_name}
Version:        0.10.3
Release:        %mkrel 4
Summary:        A set of flexible objects for representing UFO data
Group:          Development/Python
License:        MIT
URL:            https://github.com/typesupply/defcon
Source0:        %{pypi_source %pypi_name %version zip}
Patch0:         utf-8.patch
BuildArch:      noarch

BuildRequires:  python3-devel

%description
Defcon is a set of UFO based objects optimized for use in font editing
applications. The objects are built to be lightweight, fast and flexible.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}
# Workaround umtil perl-URPM handles dependencies containing []
Requires:       python3-fonttools+ufo
Requires:       python3-fonttools+unicode

%description -n python3-%{pypi_name}
Defcon is a set of UFO based objects optimized for use in font editing
applications. The objects are built to be lightweight, fast and flexible.

%{?pyproject_extras_subpkg:%pyproject_extras_subpkg -n python3-%{pypi_name} lxml pens}

%prep
%autosetup -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires 

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license License.txt
%doc README.rst


%changelog
* Wed Jul 02 2025 umeabot <umeabot> 0.10.3-4.mga10
+ Revision: 2242146
- Mageia 10 Mass Rebuild

* Mon Mar 03 2025 daviddavid <daviddavid> 0.10.3-3.mga10
+ Revision: 2159652
- rebuild for python 3.13

* Wed Dec 27 2023 papoteur <papoteur> 0.10.3-2.mga10
+ Revision: 2022596
-rebuild for python3.12
- add generate_requires macro

* Sun Sep 10 2023 papoteur <papoteur> 0.10.3-1.mga10
+ Revision: 1985947
- new 0.10.3

* Sun Oct 30 2022 wally <wally> 0.10.2-3.mga9
+ Revision: 1900451
- move workaround to python3 subpkg to work

* Sun Oct 30 2022 pterjan <pterjan> 0.10.2-2.mga9
+ Revision: 1900375
- Add a worakround to be able to build packages using defcon until URPM handles dependencies containing []

* Sun Oct 23 2022 wally <wally> 0.10.2-1.mga9
+ Revision: 1898676
- new version 0.10.2
- switch build to pyproject RPM macros
+ ghibo <ghibo>
- Remove broken extra deps python3-fonttools+ufo, python3-fonttools+unicode because no longer provided in fonttools.

* Fri Mar 25 2022 umeabot <umeabot> 0.8.1-4.mga9
+ Revision: 1825658
- Mageia 9 Mass Rebuild

* Thu Feb 17 2022 tv <tv> 0.8.1-3.mga9
+ Revision: 1779046
- Rebuild for python-3.10

* Tue Apr 20 2021 wally <wally> 0.8.1-2.mga9
+ Revision: 1717680
- add extras requires workaround back

* Tue Apr 20 2021 wally <wally> 0.8.1-1.mga9
+ Revision: 1717661
- new version 0.8.1

* Tue Apr 20 2021 wally <wally> 0.7.2-4.mga9
+ Revision: 1717650
- add pens and lxml extras pkgs

* Tue Apr 20 2021 daviddavid <daviddavid> 0.7.2-3.mga9
+ Revision: 1717559
- workaround extras dependencies

* Tue Apr 20 2021 daviddavid <daviddavid> 0.7.2-2.mga9
+ Revision: 1717386
- rebuild for python 3.9

* Sun Jun 21 2020 wally <wally> 0.7.2-1.mga8
+ Revision: 1598201
- new version 0.7.2

* Sun Feb 16 2020 umeabot <umeabot> 0.6.0-5.mga8
+ Revision: 1532706
- Mageia 8 Mass Rebuild

* Tue Sep 17 2019 tv <tv> 0.6.0-4.mga8
+ Revision: 1442777
- rebuild for python-3.8

* Fri Aug 30 2019 wally <wally> 0.6.0-3.mga8
+ Revision: 1435592
- drop python2 support

* Mon Jan 07 2019 shlomif <shlomif> 0.6.0-2.mga7
+ Revision: 1351428
- Rebuild for python3 3.7

* Sat Dec 01 2018 wally <wally> 0.6.0-1.mga7
+ Revision: 1337122
- new version 0.6.0

* Thu Sep 20 2018 umeabot <umeabot> 0.5.1-2.mga7
+ Revision: 1288569
- Mageia 7 Mass Rebuild

* Sat May 05 2018 wally <wally> 0.5.1-1.mga7
+ Revision: 1226582
- imported package python-defcon

